QGIS Application - Bug report #16392
regression: composer legend items don't restore properly on project load
2017-03-29 09:03 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee: Matthias Kuhn

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 24301
Description

Under QGIS master, composer legend items don't restore properly on project load. The composer item's layers appear not to link to
project layers, resulting in missing symbols.

Steps to reproduce

. Launch QGIS master, and create a new project
. Add one preexisting vector layer dataset onto the new project
. Create a new composer

. Add a map item as well as a legend item

. Click on the legend item and open its properties panel

. Uncheck [ ] auto update

. Save the project

. Restart QGIS, and reload the saved project

. Open the composer
0. Notice the legend item is broken, with the one vector dataset missing its symbol

History

#1 - 2017-03-30 02:13 AM - Mathieu Pellerin - nIRV

- Assignee changed from Nyall Dawson to Matthias Kuhn
drum rolling git bisect spoke, the culbrid commit(s) is/are:
#f33aabd90aab071d8b1f8f163e6cbed8869110c3
#baa4c86262ab4276c75dcaada85cf48152bad732
#8cecf236df6910ae162be7c2c9af46d6264 7fd05

#1ffa9ee7a6e48e03e1c4876566f062b3b1e4b0bS

Matthias, those are all related to your layer order PR, pushed on March 23, 2017. | couldn't narrow it down to a single commit due to compilation error with

commit f33aabd which was fixed in 1ffadee.

#2 - 2017-04-12 08:34 AM - Mathieu Pellerin - nIRV
- Resolution set to fixed/implemented
- Status changed from Open to Closed

Confirmed as fixed in #da5c0ed2cd220dec0f55bbf036423c816bd5bddd .

Thanks Nyall.
